FreeBSD : bip -- buffer overflow (1c4cab30-5468-11e1-9fb7-003067b2972c)

Medium Nessus Plugin ID 57908


The remote FreeBSD host is missing a security-related update.


Julien Tinnes reports,

Bip doesn't check if fd is equal or larger than FD_SETSIZE.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 57908

File Name: freebsd_pkg_1c4cab30546811e19fb7003067b2972c.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2012/02/13

Modified: 2013/08/10

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:bip, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2012/02/11

Vulnerability Publication Date: 2012/01/07

Reference Information

CVE: CVE-2012-0806